
Katello - Bug #5451

Repo discovery existing product list seems busted

04/25/2014 03:30 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112792 Red Hat JIRA:  

Pull request:    

Description

When using repo discovery, on the creation screen, the drop down for products seems empty.

Related issues:

Has duplicate Katello - Bug #5661: Repo discovery products list should only s... Duplicate 05/10/2014

Associated revisions

Revision dd75401e - 06/17/2014 04:03 PM - Eric Helms

Fixes #5451: Load only custom products for repo discovery.

Adds 'custom' param option to the products index API call in order

to retrieve non-red hat products. Updates the repo discovery creation

screen to pass custom so that users are only creating repositories

for existing custom products.

Revision a9a2a8c6 - 06/17/2014 08:03 PM - Eric Helms

Fixes #5451: Load only custom products for repo discovery.

Adds 'custom' param option to the products index API call in order

to retrieve non-red hat products. Updates the repo discovery creation

screen to pass custom so that users are only creating repositories

for existing custom products.

Revision ec2d196a - 06/23/2014 01:16 PM - Eric Helms

Merge pull request #4308 from ehelms/fixes-5451

Fixes #5451: Load only custom products for repo discovery.

Revision c8ba118a - 06/23/2014 05:16 PM - Eric Helms

Merge pull request #4308 from ehelms/fixes-5451

Fixes #5451: Load only custom products for repo discovery.

History

#1 - 06/03/2014 02:58 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

Recent testing, this appears to be just lag loading the products list from the API as it is currently loading ALL products (Red Hat included) and should

only be listing custom products.

#2 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48
#3 - 06/20/2014 12:01 PM - Eric Helms

- Is duplicate of Bug #5661: Repo discovery products list should only show custom products and indicate loading added

#4 - 06/20/2014 12:02 PM - Eric Helms

- Status changed from New to Duplicate

#5 - 06/24/2014 04:40 PM - Eric Helms

- Category set to Web UI

- Status changed from Duplicate to Closed

- Assignee set to Eric Helms

#6 - 06/24/2014 04:40 PM - Eric Helms

- Is duplicate of deleted (Bug #5661: Repo discovery products list should only show custom products and indicate loading)

#7 - 06/24/2014 04:40 PM - Eric Helms

- Has duplicate Bug #5661: Repo discovery products list should only show custom products and indicate loading added

#8 - 06/24/2014 04:40 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112792
